#include <stdio.h>
#include <stdlib.h>

int main() {
	int l,r,nili,ii,i,n;
	long long max=0,broj;
	scanf("%d",&n);
	int a[n],b[n];
	for(i=0;i<n;i++)
	{scanf("%d", &a[i]);} 
	for(i=0;i<n;i++)
	{scanf("%d", &b[i]);}
    for (l=0;l<n;l++) {
    	nili=0;ii=b[l];
	for (r=l;r<n;r++) {
		nili^=a[r];
		ii&=b[r];
		broj=(long long)nili*ii;
		if(broj>max)
		max=broj;}}
		printf("%lld",max);
		}